package com.gic.haoban.manage.api.dto.hm;

import com.gic.haoban.manage.api.enums.hm.HmPageType;

import java.io.Serializable;

/**
 * @Author MUSI
 * @Date 2022/7/3 6:49 PM
 * @Description
 * @Version
 **/
public class HmPageRelationDTO implements Serializable {

    private static final long serialVersionUID = 8682427720134740563L;
    /**
     * 落地页模板code
     */
    private String pageTemplateCode;


    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 微信企业id
     */
    private String wxEnterpriseId;

    /**
     * 引用方id
     */
    private String referId;

    /**
     * 引用方名称
     */
    private String referName;

    /**
     * 引用方来源
     *
     * @see HmPageType
     */
    private Integer type;

    public String getPageTemplateCode() {
        return pageTemplateCode;
    }

    public void setPageTemplateCode(String pageTemplateCode) {
        this.pageTemplateCode = pageTemplateCode;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getReferId() {
        return referId;
    }

    public void setReferId(String referId) {
        this.referId = referId;
    }

    public String getReferName() {
        return referName;
    }

    public void setReferName(String referName) {
        this.referName = referName;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }
}
